Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_CDR_Processor Class Reference

Interface for callback objects used by TAO_ECG_CDR_Message_Receiver to propagate received data to its callers. More...

`#include <ECG_CDR_Message_Receiver.h>`

Inheritance diagram for TAO_ECG_CDR_Processor:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_ECG_CDR_Processor (void)
virtual int | decode (TAO_InputCDR &cdr)=0
| Extracts data from <cdr>. Returns 0 on success, -1 on error.

## Detailed Description

Interface for callback objects used by TAO_ECG_CDR_Message_Receiver to propagate received data to its callers.

## Constructor & Destructor Documentation

TAO_ECG_CDR_Processor::~TAO_ECG_CDR_Processor | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual int TAO_ECG_CDR_Processor::decode | ( | TAO_InputCDR & | cdr | ) | `[pure virtual]`

| Extracts data from <cdr>. Returns 0 on success, -1 on error. Implemented in TAO_ECG_Event_CDR_Decoder.

The documentation for this class was generated from the following files:

- ECG_CDR_Message_Receiver.h
- ECG_CDR_Message_Receiver.cpp